2017-12-18 23:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001464Orfeo Toolbox (OTB)Generalpublic2017-10-13 14:02
Reportergpasero 
Assigned Togrizonnetm 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001464: otb_module_impl() called twice in ExternalModuleTemplate
DescriptionWhen building a remote module outside OTB build dir, Cmake generates a lot of warnings because the macro otb_module_impl() is called twice :
* in OTBModuleExternal
* and at the end of https://github.com/orfeotoolbox/otbExternalModuleTemplate/blob/master/CMakeLists.txt

It would be clearer to remove the calls to otb_module_impl() in OTBModuleExternal, but the last lines 110 to 118 let me think that additional steps need to be performed after otb_module_impl(). Is it really the case?
Steps To ReproduceFor instance, take the Mosaic remote module. Clone it in a specific folder, build it outside OTB build dir. Run Cmake configure.
Additional InformationThe SoftwareGuide is not up-to-date with the template module on github : see Documentation/SoftwareGuide/Latex/WriteModules.tex
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004372

grizonnetm (administrator)

I've pushed a fix to the module template:

https://github.com/orfeotoolbox/otbExternalModuleTemplate/commit/100b9a3c835db0e19392241ba57351bf6c44a796

There is no warning anymore building the template outside the otb source tree and the doc is now up to date.
+Notes

-Issue History
Date Modified Username Field Change
2017-10-12 18:34 gpasero New Issue
2017-10-12 18:35 gpasero Steps to Reproduce Updated View Revisions
2017-10-13 13:57 grizonnetm Assigned To => grizonnetm
2017-10-13 13:57 grizonnetm Status new => assigned
2017-10-13 14:01 grizonnetm Note Added: 0004372
2017-10-13 14:02 grizonnetm Status assigned => resolved
2017-10-13 14:02 grizonnetm Resolution open => fixed
+Issue History